package main

import (
	"mongo.games.com/game/common"
	//"mongo.games.com/game/gamerule/blackjack"
	//"mongo.games.com/game/gamerule/dezhoupoker"
	//"mongo.games.com/game/gamerule/fivecardstud"
	//"mongo.games.com/game/gamerule/omahapoker"
)

var minPlayGameNum = map[int]int{
	common.GameId_TenHalf:      2,
	common.GameId_DezhouPoker:  2,
	common.GameId_FiveCardStud: 2,
	common.GameId_BlackJack:    1,
	//common.GameId_OmahaPoker:   omahapoker.MinNumOfPlayer,
}

var maxPlayGameNum = map[int]int{
	//common.GameId_DezhouPoker:  int(dezhoupoker.MaxNumOfPlayer),
	//common.GameId_FiveCardStud: int(fivecardstud.MaxNumOfPlayer),
	//common.GameId_BlackJack:    blackjack.MaxPlayer,
	//common.GameId_OmahaPoker:   omahapoker.MaxNumOfPlayer,
}

func GetGameStartMinNum(gameid int) int {
	return minPlayGameNum[gameid]
}
func GetGameSuiableNum(gameid int, flag int32) int {
	minNum, maxNum := minPlayGameNum[gameid], maxPlayGameNum[gameid]
	if flag == MatchTrueManForbid {
		if minNum == maxNum {
			return minNum
		} else {
			return maxNum - 1
		}
	} else {
		if minNum == maxNum {
			return minNum
		} else {
			return maxNum - 2
		}
	}
}
func IsRegularNum(gameid int) bool {
	return minPlayGameNum[gameid] == maxPlayGameNum[gameid]
}
